Ignore:
Timestamp:
Aug 31, 2009, 5:16:40 PM (9 years ago)
Author:
jeremyhu@…
Message:

libsdl_*, sdlconsole, ocamlsdl: Allow libsdl-devel to satisfy SDL dependency

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/devel/libsdl/Portfile

    r53861 r56649  
    3737
    3838configure.args  --enable-shared \
    39                 --mandir=${prefix}/share/man
     39                --mandir=${prefix}/share/man \
     40                --x-include=${prefix}/include \
     41                --x-lib=${prefix}/lib
    4042
    4143variant no_x11 {
     
    99101}
    100102
     103platform darwin 10 {
     104        # This doesn't build correctly against the 10.6 SDK due to using deprecated (10.5) and removed (10.6) API
     105        macosx_deployment_target 10.5
     106        configure.cppflags-append -isysroot /Developer/SDKs/MacOSX10.5.sdk
     107        configure.cflags-append -isysroot /Developer/SDKs/MacOSX10.5.sdk
     108}
     109
    101110livecheck.check regex
    102111livecheck.url   ${homepage}download.php
Note: See TracChangeset for help on using the changeset viewer.